require 'httparty'

module RailsOtp
  class Exotel
    include HTTParty
    base_uri "https://twilix.exotel.in/v1/Accounts"

    def self.send(params={})
      self.new.send(params)
    end

    def send(params={})
      params = transform_params(params)
      response = self.class.post("/#{RailsOtp::configuration.sid}/Sms/send",  {:body => params, :basic_auth => auth })
      response.response.code
    end

    protected

    def transform_params(params)
      params.inject({}){ |h, (key, value)| h[key.to_s.capitalize.to_sym] = value; h }
    end

    def auth
      {:username => RailsOtp::configuration.sid, :password => RailsOtp::configuration.token}
    end
  end
end